Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindCompoundingFormulaRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.DicsRequestType
              be.fgov.ehealth.dics.protocol.v5.FindCompoundingFormulaRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class FindCompoundingFormulaRequest

extends DicsRequestType
implements Serializable

Java class for FindCompoundingFormulaRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCompoundingFormulaRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByCNK" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByAnyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindCompoundingFormulaRequest()`

Method Summary
`String` | `getFindByAnyName()` Gets the value of the findByAnyName property.
`String` | `getFindByCNK()` Gets the value of the findByCNK property.
`void` | `setFindByAnyName(String value)` Sets the value of the findByAnyName property.
`void` | `setFindByCNK(String value)` Sets the value of the findByCNK property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType
`getSearchDate, setSearchDate`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindCompoundingFormulaRequest

    public FindCompoundingFormulaRequest()

Method Detail

### getFindByAnyName

    public String getFindByAnyName()

  Gets the value of the findByAnyName property.

  Returns:
    possible object is `String`

### setFindByAnyName

    public void setFindByAnyName(String value)

  Sets the value of the findByAnyName property.

  Parameters:
    `value` - allowed object is `String`

### getFindByCNK

    public String getFindByCNK()

  Gets the value of the findByCNK property.

  Returns:
    possible object is `String`

### setFindByCNK

    public void setFindByCNK(String value)

  Sets the value of the findByCNK property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.